Bug 302668 - Export HTML with every save not working
Summary: Export HTML with every save not working
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Unclassified
Component: html export (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-27 22:40 UTC by Carles Pina i Estany
Modified: 2012-06-29 22:59 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.8.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carles Pina i Estany 2012-06-27 22:40:44 UTC
Hi,

I've enabled in Settings, Configure KOrganizer, General, Save, "Export to HTML with every save" and "Save interval minutes: 1" but KOrganizer doesn't seem to export the HTML (I've checked with strace, searching some possible relevant files, etc.).

Some information: http://old.nabble.com/korganizer---Auto-Export-HTML-td34033608.html

Reproducible: Always

Steps to Reproduce:
1. Enable "Export to HTML with every save"
Actual Results:  
No HTML is exported.

Expected Results:  
HTML should be exported. I also expect to be asked where to export the HTML and some options? (calendars, etc.).
Comment 1 Allen Winter 2012-06-29 22:54:51 UTC
Git commit 029114107b8ef26f654ae7c2cfa0005b1072d206 by Allen Winter.
Committed on 30/06/2012 at 00:50.
Pushed by winterz into branch 'master'.

Fix a broken signal/slot connection in KPrefsWidDuration().
This was effectively blocking the KOrganizer HTML autoexport from
ever being run.

Also don't continually blast the user with prompt and info dialogs
when in autoexport mode.

...and a few other nice things for the UI experience.
MERGE: 4.8,4.9
FIXED-IN: 4.8.5

M  +42   -9    korganizer/actionmanager.cpp
M  +12   -1    korganizer/actionmanager.h
M  +22   -5    korganizer/htmlexportjob.cpp
M  +12   -3    korganizer/htmlexportjob.h
M  +1    -1    libkdepim/kprefsdialog.cpp

http://commits.kde.org/kdepim/029114107b8ef26f654ae7c2cfa0005b1072d206
Comment 2 Allen Winter 2012-06-29 22:56:47 UTC
Git commit 9ac33235e64fa06742e598a4392dbe08df6d5210 by Allen Winter.
Committed on 30/06/2012 at 00:50.
Pushed by winterz into branch 'KDE/4.9'.

Fix a broken signal/slot connection in KPrefsWidDuration().
This was effectively blocking the KOrganizer HTML autoexport from
ever being run.

Also don't continually blast the user with prompt and info dialogs
when in autoexport mode.

...and a few other nice things for the UI experience.
MERGE: 4.8,4.9
FIXED-IN: 4.8.5
(cherry picked from commit 029114107b8ef26f654ae7c2cfa0005b1072d206)

M  +42   -9    korganizer/actionmanager.cpp
M  +12   -1    korganizer/actionmanager.h
M  +22   -5    korganizer/htmlexportjob.cpp
M  +12   -3    korganizer/htmlexportjob.h
M  +1    -1    libkdepim/kprefsdialog.cpp

http://commits.kde.org/kdepim/9ac33235e64fa06742e598a4392dbe08df6d5210
Comment 3 Allen Winter 2012-06-29 22:59:52 UTC
Git commit 6a8fae7f154d053ec9acd8399f823cbf88a3cb5a by Allen Winter.
Committed on 30/06/2012 at 00:50.
Pushed by winterz into branch 'KDE/4.8'.

Fix a broken signal/slot connection in KPrefsWidDuration().
This was effectively blocking the KOrganizer HTML autoexport from
ever being run.

Also don't continually blast the user with prompt and info dialogs
when in autoexport mode.

...and a few other nice things for the UI experience.
MERGE: 4.8,4.9
FIXED-IN: 4.8.5
(cherry picked from commit 029114107b8ef26f654ae7c2cfa0005b1072d206)
(cherry picked from commit 9ac33235e64fa06742e598a4392dbe08df6d5210)

Conflicts:
	korganizer/htmlexportjob.h

M  +42   -9    korganizer/actionmanager.cpp
M  +12   -1    korganizer/actionmanager.h
M  +22   -5    korganizer/htmlexportjob.cpp
M  +10   -1    korganizer/htmlexportjob.h
M  +1    -1    libkdepim/kprefsdialog.cpp

http://commits.kde.org/kdepim/6a8fae7f154d053ec9acd8399f823cbf88a3cb5a